#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  KDE Frameworks 6 Based Applications

- Next

  dolphin-24.12.2

- Up
- Home

# ark-24.12.2

## Introduction to Ark

The Ark package is a KF6 archive tool. It is a graphical front end to tar and similar tools.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.2/src/ark-24.12.2.tar.xz

- Download MD5 sum: fc84a8612a55f358d61de8c45fa2f217

- Download size: 2.9 MB

- Estimated disk space required: 43 MB

- Estimated build time: 0.4 SBU (using parallelism=4)

### Ark Dependencies

#### Required

KDE Frameworks-6.11.0 and libarchive-3.7.7

#### Recommended

7zip-24.09, cpio-2.15, libarchive-3.7.7, UnRar-7.1.5, and Zip-3.0

## Installation of Ark

Install Ark by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: ark
Installed Libraries: libkerfuffle.so
Installed Directories: $KF6_PREFIX/lib/plugins/kerfuffle and $KF6_PREFIX/share/doc/HTML/*/ark

### Short Descriptions

ark | is a KF6-based Archive Manager

- Prev

  KDE Frameworks 6 Based Applications

- Next

  dolphin-24.12.2

- Up
- Home